//package com.deitel.jhtp5.ch20;

public class rij
{
	DoubleListNode queue;

	public rij()
	{
		queue= new DoubleListNode("Queue");
	}

	public synchronized void enQueue(Object ob)
	{
		queue.insertAtFront(ob);

	}
	public synchronized void enQueueRear(Object ob)
	{
		queue.insertAtRear(ob);
	}
	public synchronized void print()
	{
		queue.print();
	}




}